$ErrorActionPreference = 'Stop';

$packageName = 'Handle'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.sysinternals.com/files/Handle.zip'
$url64      = 'https://download.sysinternals.com/files/Handle.zip'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64

  checksum      = '9a1c333514067d7a2678b4702bbc14c80b879f892e83c007727b25b2abd0a99c'
  checksumType  = 'sha256'
  checksum64    = '9a1c333514067d7a2678b4702bbc14c80b879f892e83c007727b25b2abd0a99c'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

Write-Verbose "Accepting license..."
$regRoot = 'HKCU:\Software\Sysinternals'
$regPkg = 'Handle'
$regPath = Join-Path $regRoot $regPkg
if (!(Test-Path $regRoot)) {New-Item -Path "$regRoot"}
if (!(Test-Path $regPath)) {New-Item -Path "$regRoot" -Name "$regPkg"}
Set-ItemProperty -Path "$regPath" -Name EulaAccepted -Value 1
if ((Get-ItemProperty -Path "$regPath").EulaAccepted -ne 1) {
  throw "Failed setting registry value."
}
